Subject: Ticket Assigned - Returns
From: Max <[email-masked]>
To: [email-masked]
Date: Thu, 25 Feb 2021 15:42:26 +0000 (UTC)

Hi Mohammad Humayun,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns The worst customer care service ever!!! I have contacted your team almost 11 times! And just one Friday I receive a call back saying someone will come and pick up my returned items. But I wasn’t home. I was told someone would come n pick it up the next day. But nothing! Worst worst experience ever 

iOS Version: 14.4
App Version: 9.5.2 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2141449